# Cross-Domain Classification of Moral Values - Data

This folder contains the raw results of the experiments described in the "Cross-Domain Classification of Moral Values" paper submitted at the December 2021 ACL rolling review system. The Jupyter Notebook is used to parse the raw results and print them in LaTeX format suitable for the tables and figures of the paper.

The data is divided as follows:
- The `main_experiments` folder contains the results and training times of the experiments with four training approaches, three models, and seven datasets. These results compose Table 4, B, B2, and Figure B1.
- The `f1_per_value` folder contains the per-label F1-scores of the three models in the _C(target,target)_ and _C(finetune,target)_ settings. These results show that the _finetune_ scenario outperforms _target_ in the classification of minority classes, as mentioned in the paper.
- The `increasing_size` folder contains the results of the experiments with increasing training size that compose Figures 2 and 3.
- The `all_predictions` folder contains the tweet-by-tweet predictions of the BERT model in all eight settings. These results are processed in the Jupyter Notebook to generate the error distributions reported in Table 5.
- The `one_to_one` folder contains the experiments where T_source is composed of one dataset, as reported in Tables B3, B4, B5.
- The `predictions_with_agreement` folder contains the model predictions compared to the annotators agreement, as reported in Tables 6 and 7. 
- The `three_to_one` folder contains the experiments where T_source is composed of three dataset, as reported in Table B6.